# Uses of Class
org.apache.lucene.queryparser.flexible.standard.parser.ParseException

Packages that use ParseException
Package
Description
org.apache.lucene.queryparser.flexible.standard.parser
Lucene Query Parser

- ## Uses of ParseException in org.apache.lucene.queryparser.flexible.standard.parser

  Methods in org.apache.lucene.queryparser.flexible.standard.parser that return ParseException
  Modifier and Type
  Method
  Description
  `ParseException`
  StandardSyntaxParser.`generateParseException()`
  Generate ParseException.
  Methods in org.apache.lucene.queryparser.flexible.standard.parser that throw ParseException
  Modifier and Type
  Method
  Description
  `static UnescapedCharSequence`
  EscapeQuerySyntaxImpl.`discardEscapeChar(CharSequence input)`
  Returns a String where the escape char has been removed, or kept only once if there was a double escape.
  `final QueryNode`
  StandardSyntaxParser.`TopLevelQuery(CharSequence field)`